Bug 1753799 - Unresponsive Gnome Due To JavaScript Errors in RHEL 7.7
Summary: Unresponsive Gnome Due To JavaScript Errors in RHEL 7.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.7
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1782102
Blocks: 1780030 1816064 1890540
TreeView+ depends on / blocked
 
Reported: 2019-09-19 22:00 UTC by Paul Gozart
Modified: 2020-10-22 13:37 UTC (History)
22 users (show)

Fixed In Version: gnome-shell-3.28.3-24, mutter-3.28.3-20
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1780030 1816064 1890540 (view as bug list)
Environment:
Last Closed: 2020-03-31 19:39:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
Hide close dialog before destroying (1.10 KB, patch)
2020-03-11 17:43 UTC, Florian Müllner
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME mutter issues 575 0 None None None 2019-09-19 22:00:56 UTC
Red Hat Knowledge Base (Solution) 4756531 0 None None None 2020-01-20 16:10:00 UTC
Red Hat Product Errata RHSA-2020:1021 0 None None None 2020-03-31 19:40:19 UTC

Description Paul Gozart 2019-09-19 22:00:56 UTC
Description of problem:

Logs are getting flooded by JavaScript related messages from Gnome after the upgrade to RHEL7.7.
When this happens the system becomes unresponsive and users are forcing the machine off by pressing the power button.

The messages look like this:
Sep 12 18:55:10 oc0415474128 journal: JS ERROR: TypeError: windowActor is null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22


Version-Release number of selected component (if applicable):

RHEL 7.7 Workstation


Additional info:

https://gitlab.gnome.org/GNOME/mutter/issues/575 appears to be the upstream bug

Customer sosreport attached privately

Comment 4 Alexander Korsunsky 2019-11-25 12:32:38 UTC
@fmuellner

Would it be possible to backport these patches into the RHEL 3.28 packages?
https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/395
https://gitlab.gnome.org/GNOME/mutter/merge_requests/556

Comment 5 Florian Müllner 2019-11-27 17:45:47 UTC
Yes, if we can get the necessary acks.

Comment 12 David Lee 2019-12-06 12:01:15 UTC
We, too, have a RHEL7.7 user who is experiencing this, with "/var/log/messages" containing lots of:

JS ERROR: TypeError: windowActor is null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22

A status report would be appreciated.  Thanks.

Comment 14 Tomas Pelka 2019-12-10 13:30:17 UTC
Can't see mentioned JS ERRORS anymore with new mutter/gnome-shell builds, but I can see:

JS ERROR: TypeError: super._onDestroy is not a function
                                                                                 _onDestroy@/usr/share/gnome-shell/extensions/apps-menu@gnome-shell-extensions.gcampax.github.com/extension.js:457:9
                                                                                 destroy@resource:///org/gnome/shell/ui/panelMenu.js:192:9
                                                                                 wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                                                                 destroy@/usr/share/gnome-shell/extensions/apps-menu@gnome-shell-extensions.gcampax.github.com/extension.js:708:9
                                                                                 disable@/usr/share/gnome-shell/extensions/apps-menu@gnome-shell-extensions.gcampax.github.com/extension.js:722:5
                                                                                 disableExtension@resource:///org/gnome/shell/ui/extensionSystem.js:83:9
                                                                                 unloadExtension@resource:///org/gnome/shell/ui/extensionSystem.js:185:5
                                                                                 reloadExtension@resource:///org/gnome/shell/ui/extensionSystem.js:200:5
                                                                                 _onVersionValidationChanged@resource:///org/gnome/shell/ui/extensionSystem.js:300:9

Is this something that we should worry about?

Comment 15 Tomas Pelka 2019-12-11 07:30:42 UTC
(In reply to Tomas Pelka from comment #14)
> Can't see mentioned JS ERRORS anymore with new mutter/gnome-shell builds,
> but I can see:
> 
> JS ERROR: TypeError: super._onDestroy is not a function
>                                                                             
> _onDestroy@/usr/share/gnome-shell/extensions/apps-menu@gnome-shell-
> extensions.gcampax.github.com/extension.js:457:9
>                                                                             
> destroy@resource:///org/gnome/shell/ui/panelMenu.js:192:9
>                                                                             
> wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
>                                                                             
> destroy@/usr/share/gnome-shell/extensions/apps-menu@gnome-shell-extensions.
> gcampax.github.com/extension.js:708:9
>                                                                             
> disable@/usr/share/gnome-shell/extensions/apps-menu@gnome-shell-extensions.
> gcampax.github.com/extension.js:722:5
>                                                                             
> disableExtension@resource:///org/gnome/shell/ui/extensionSystem.js:83:9
>                                                                             
> unloadExtension@resource:///org/gnome/shell/ui/extensionSystem.js:185:5
>                                                                             
> reloadExtension@resource:///org/gnome/shell/ui/extensionSystem.js:200:5
>                                                                             
> _onVersionValidationChanged@resource:///org/gnome/shell/ui/extensionSystem.
> js:300:9
> 
> Is this something that we should worry about?

Filed #1782102 - it is most probably harmless but lets record it. it could be closed anytime.

Comment 16 Florian Müllner 2019-12-12 19:36:07 UTC
(In reply to Tomas Pelka from comment #14)
> Can't see mentioned JS ERRORS anymore with new mutter/gnome-shell builds,
> but I can see:
> 
> JS ERROR: TypeError: super._onDestroy is not a function

This is another bug in the backport of the 8.2 classic session.

 
> Is this something that we should worry about?

The error prevents some cleanups from being run when the apps-menu extension is disabled, which will at least trigger other warnings (unless the error occurs at the end of the session).

Considering that the fix consists of dropping a downstream patch, I'm in favor of fixing it.

Comment 17 Tomas Pelka 2019-12-13 07:18:36 UTC
OK so rhbz1782102 was confirmed as a bug, but as we do not have time to fix it in 7.8 (and it is not considered as blocking issue).

Moving this one to VERIFIED.

Comment 25 James Pearson 2020-02-11 11:21:12 UTC
We have upgraded to gnome-shell-3.28.3-14.el7_7.x86_64 and mutter-3.28.3-14.el7_7.x86_64 - but are still seeing 'JS ERROR: TypeError: windowActor is null' in /var/log/messages:

Feb 10 19:37:07 adldfwd5820-227 journal: JS ERROR: TypeError: windowActor is null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
Feb 10 19:37:12 adldfwd5820-227 journal: JS ERROR: TypeError: windowActor is null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
Feb 11 19:02:11 adldfwd5820-227 journal: JS ERROR: TypeError: windowActor is null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
Feb 11 19:02:16 adldfwd5820-227 journal: JS ERROR: TypeError: windowActor is null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
Feb 11 19:02:21 adldfwd5820-227 journal: JS ERROR: TypeError: windowActor is null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22

I though these versions of gnome-shell/mutter were meant to fix this issue?

Comment 26 Tomas Pelka 2020-02-11 12:44:50 UTC
(In reply to James Pearson from comment #25)
> We have upgraded to gnome-shell-3.28.3-14.el7_7.x86_64 and
> mutter-3.28.3-14.el7_7.x86_64 - but are still seeing 'JS ERROR: TypeError:
> windowActor is null' in /var/log/messages:
> 
> Feb 10 19:37:07 adldfwd5820-227 journal: JS ERROR: TypeError: windowActor is
> null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:
> 13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:
> 22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:
> 9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
> Feb 10 19:37:12 adldfwd5820-227 journal: JS ERROR: TypeError: windowActor is
> null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:
> 13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:
> 22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:
> 9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
> Feb 11 19:02:11 adldfwd5820-227 journal: JS ERROR: TypeError: windowActor is
> null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:
> 13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:
> 22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:
> 9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
> Feb 11 19:02:16 adldfwd5820-227 journal: JS ERROR: TypeError: windowActor is
> null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:
> 13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:
> 22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:
> 9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
> Feb 11 19:02:21 adldfwd5820-227 journal: JS ERROR: TypeError: windowActor is
> null#012_addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:82:
> 13#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:
> 22#012vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:153:
> 9#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
> 
> I though these versions of gnome-shell/mutter were meant to fix this issue?

Florian any idea?

Comment 29 James Pearson 2020-02-29 18:14:27 UTC
Any update to this?

We're still seeing this problem ...

Comment 30 Florian Müllner 2020-03-06 18:20:13 UTC
I backported one my upstream fix in mutter:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=27099596

I was able to reproduce the exceptions only before applying the patch.

Comment 31 James Pearson 2020-03-06 19:36:11 UTC
(In reply to Florian Müllner from comment #30)
> I backported one my upstream fix in mutter:
> https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=27099596
> 
> I was able to reproduce the exceptions only before applying the patch.

Any chance I could get hold of that patch to test?

Comment 32 Tomas Pelka 2020-03-06 21:37:58 UTC
(In reply to James Pearson from comment #31)
> (In reply to Florian Müllner from comment #30)
> > I backported one my upstream fix in mutter:
> > https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=27099596
> > 
> > I was able to reproduce the exceptions only before applying the patch.
> 
> Any chance I could get hold of that patch to test?

Absolutely, do you know who is your RHEL representative? Who could deliver these pkgs to you?

Comment 33 James Pearson 2020-03-09 10:01:11 UTC
(In reply to Tomas Pelka from comment #32)
> > 
> > Any chance I could get hold of that patch to test?
> 
> Absolutely, do you know who is your RHEL representative? Who could deliver
> these pkgs to you?

AFAIK, we don't have a RHEL representative

Could you just attach the patch file to this BZ ?

Thanks

Comment 34 Tomas Pelka 2020-03-09 10:22:31 UTC
(In reply to James Pearson from comment #33)
> (In reply to Tomas Pelka from comment #32)
> > > 
> > > Any chance I could get hold of that patch to test?
> > 
> > Absolutely, do you know who is your RHEL representative? Who could deliver
> > these pkgs to you?
> 
> AFAIK, we don't have a RHEL representative
> 
> Could you just attach the patch file to this BZ ?
> 
> Thanks

Florian can you please do it?

Comment 35 Florian Müllner 2020-03-11 17:43:15 UTC
Created attachment 1669406 [details]
Hide close dialog before destroying

Sure.

Comment 36 James Pearson 2020-03-12 17:11:57 UTC
(In reply to Florian Müllner from comment #35)
> Created attachment 1669406 [details]
> Hide close dialog before destroying

Thanks - we'll see if it helps us

Comment 40 errata-xmlrpc 2020-03-31 19:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1021


Note You need to log in before you can comment on or make changes to this bug.